// This code is auto-generated

#include <chrono>
#include <memory>

#include "rclcpp/rclcpp.hpp"
#include "std_msgs/msg/string.hpp"

#include "runnables.hpp"

using namespace std::chrono_literals;
using std::placeholders::_1;
#define CONSOLE_ENABLED

#if defined(_OPENMP)
int check_Node_task_10ms_ecm(int *original, int *replicated){ return 1;}
#endif
class Node_task_10ms_ecm : public rclcpp::Node
{
	private:
		rclcpp::TimerBase::SharedPtr timer_periodic_10ms_;

	public:
		Node_task_10ms_ecm()
		: Node("node_task_10ms_ecm")
		{
			timer_periodic_10ms_ = this->create_wall_timer(
					10ms, std::bind(&Node_task_10ms_ecm::timer_periodic_10ms_callback, this));
		}
	void timer_periodic_10ms_callback() {
	#ifdef CONSOLE_ENABLED
		std::cout << "Timer_periodic_10ms_callback (10ms)" << std::endl;
	#endif
		run_runnable_10ms_0();
		run_runnable_10ms_1();
		run_runnable_10ms_2();
		run_runnable_10ms_3();
		run_runnable_10ms_4();
		run_runnable_10ms_5();
		run_runnable_10ms_6();
		run_runnable_10ms_7();
		run_runnable_10ms_8();
		run_runnable_10ms_9();
		run_runnable_10ms_10();
		run_runnable_10ms_11();
		run_runnable_10ms_12();
		run_runnable_10ms_13();
		run_runnable_10ms_14();
		run_runnable_10ms_15();
		run_runnable_10ms_16();
		run_runnable_10ms_17();
		run_runnable_10ms_18();
		run_runnable_10ms_19();
		run_runnable_10ms_20();
		run_runnable_10ms_21();
		run_runnable_10ms_22();
		run_runnable_10ms_23();
		run_runnable_10ms_24();
		run_runnable_10ms_25();
		run_runnable_10ms_26();
		run_runnable_10ms_27();
		run_runnable_10ms_28();
		run_runnable_10ms_29();
		run_runnable_10ms_30();
		run_runnable_10ms_31();
		run_runnable_10ms_32();
		run_runnable_10ms_33();
		run_runnable_10ms_34();
		run_runnable_10ms_35();
		run_runnable_10ms_36();
		run_runnable_10ms_37();
		run_runnable_10ms_38();
		run_runnable_10ms_39();
		run_runnable_10ms_40();
		run_runnable_10ms_41();
		run_runnable_10ms_42();
		run_runnable_10ms_43();
		run_runnable_10ms_44();
		run_runnable_10ms_45();
		run_runnable_10ms_46();
		run_runnable_10ms_47();
		run_runnable_10ms_48();
		run_runnable_10ms_49();
		run_runnable_10ms_50();
		run_runnable_10ms_51();
		run_runnable_10ms_52();
		run_runnable_10ms_53();
		run_runnable_10ms_54();
		run_runnable_10ms_55();
		run_runnable_10ms_56();
		run_runnable_10ms_57();
		run_runnable_10ms_58();
		run_runnable_10ms_59();
		run_runnable_10ms_60();
		run_runnable_10ms_61();
		run_runnable_10ms_62();
		run_runnable_10ms_63();
		run_runnable_10ms_64();
		run_runnable_10ms_65();
		run_runnable_10ms_66();
		run_runnable_10ms_67();
		run_runnable_10ms_68();
		run_runnable_10ms_69();
		run_runnable_10ms_70();
		run_runnable_10ms_71();
		run_runnable_10ms_72();
		run_runnable_10ms_73();
		run_runnable_10ms_74();
		run_runnable_10ms_75();
		run_runnable_10ms_76();
		run_runnable_10ms_77();
		run_runnable_10ms_78();
		run_runnable_10ms_79();
		run_runnable_10ms_80();
		run_runnable_10ms_81();
		run_runnable_10ms_82();
		run_runnable_10ms_83();
		run_runnable_10ms_84();
		run_runnable_10ms_85();
		run_runnable_10ms_86();
		run_runnable_10ms_87();
		run_runnable_10ms_88();
		run_runnable_10ms_89();
		run_runnable_10ms_90();
		run_runnable_10ms_91();
		run_runnable_10ms_92();
		run_runnable_10ms_93();
		run_runnable_10ms_94();
		run_runnable_10ms_95();
		run_runnable_10ms_96();
		run_runnable_10ms_97();
		run_runnable_10ms_98();
		run_runnable_10ms_99();
		run_runnable_10ms_100();
		run_runnable_10ms_101();
		run_runnable_10ms_102();
		run_runnable_10ms_103();
		run_runnable_10ms_104();
		run_runnable_10ms_105();
		run_runnable_10ms_106();
		run_runnable_10ms_107();
		run_runnable_10ms_108();
		run_runnable_10ms_109();
		run_runnable_10ms_110();
		run_runnable_10ms_111();
		run_runnable_10ms_112();
		run_runnable_10ms_113();
		run_runnable_10ms_114();
		run_runnable_10ms_115();
		run_runnable_10ms_116();
		run_runnable_10ms_117();
		run_runnable_10ms_118();
		run_runnable_10ms_119();
		run_runnable_10ms_120();
		run_runnable_10ms_121();
		run_runnable_10ms_122();
		run_runnable_10ms_123();
		run_runnable_10ms_124();
		run_runnable_10ms_125();
		run_runnable_10ms_126();
		run_runnable_10ms_127();
		run_runnable_10ms_128();
		run_runnable_10ms_129();
		run_runnable_10ms_130();
		run_runnable_10ms_131();
		run_runnable_10ms_132();
		run_runnable_10ms_133();
		run_runnable_10ms_134();
		run_runnable_10ms_135();
		run_runnable_10ms_136();
		run_runnable_10ms_137();
		run_runnable_10ms_138();
		run_runnable_10ms_139();
		run_runnable_10ms_140();
		run_runnable_10ms_141();
		run_runnable_10ms_142();
		run_runnable_10ms_143();
		run_runnable_10ms_144();
		run_runnable_10ms_145();
		run_runnable_10ms_146();
		run_runnable_10ms_147();
		run_runnable_10ms_148();
		run_runnable_10ms_149();
		run_runnable_10ms_150();
		run_runnable_10ms_151();
		run_runnable_10ms_152();
		run_runnable_10ms_153();
		run_runnable_10ms_154();
		run_runnable_10ms_155();
		run_runnable_10ms_156();
		run_runnable_10ms_157();
		run_runnable_10ms_158();
		run_runnable_10ms_159();
		run_runnable_10ms_160();
		run_runnable_10ms_161();
		run_runnable_10ms_162();
		run_runnable_10ms_163();
		run_runnable_10ms_164();
		run_runnable_10ms_165();
		run_runnable_10ms_166();
		run_runnable_10ms_167();
		run_runnable_10ms_168();
		run_runnable_10ms_169();
		run_runnable_10ms_170();
		run_runnable_10ms_171();
		run_runnable_10ms_172();
		run_runnable_10ms_173();
		run_runnable_10ms_174();
		run_runnable_10ms_175();
		run_runnable_10ms_176();
		run_runnable_10ms_177();
		run_runnable_10ms_178();
		run_runnable_10ms_179();
		run_runnable_10ms_180();
		run_runnable_10ms_181();
		run_runnable_10ms_182();
		run_runnable_10ms_183();
		run_runnable_10ms_184();
		run_runnable_10ms_185();
		run_runnable_10ms_186();
		run_runnable_10ms_187();
		run_runnable_10ms_188();
		run_runnable_10ms_189();
		run_runnable_10ms_190();
		run_runnable_10ms_191();
		run_runnable_10ms_192();
		run_runnable_10ms_193();
		run_runnable_10ms_194();
		run_runnable_10ms_195();
		run_runnable_10ms_196();
		run_runnable_10ms_197();
		run_runnable_10ms_198();
		run_runnable_10ms_199();
		run_runnable_10ms_200();
		run_runnable_10ms_201();
		run_runnable_10ms_202();
		run_runnable_10ms_203();
		run_runnable_10ms_204();
		run_runnable_10ms_205();
		run_runnable_10ms_206();
		run_runnable_10ms_207();
		run_runnable_10ms_208();
		run_runnable_10ms_209();
		run_runnable_10ms_210();
		run_runnable_10ms_211();
		run_runnable_10ms_212();
		run_runnable_10ms_213();
		run_runnable_10ms_214();
		run_runnable_10ms_215();
		run_runnable_10ms_216();
		run_runnable_10ms_217();
		run_runnable_10ms_218();
		run_runnable_10ms_219();
		run_runnable_10ms_220();
		run_runnable_10ms_221();
		run_runnable_10ms_222();
		run_runnable_10ms_223();
		run_runnable_10ms_224();
		run_runnable_10ms_225();
		run_runnable_10ms_226();
		run_runnable_10ms_227();
		run_runnable_10ms_228();
		run_runnable_10ms_229();
		run_runnable_10ms_230();
		run_runnable_10ms_231();
		run_runnable_10ms_232();
		run_runnable_10ms_233();
		run_runnable_10ms_234();
		run_runnable_10ms_235();
		run_runnable_10ms_236();
		run_runnable_10ms_237();
		run_runnable_10ms_238();
		run_runnable_10ms_239();
		run_runnable_10ms_240();
		run_runnable_10ms_241();
		run_runnable_10ms_242();
		run_runnable_10ms_243();
		run_runnable_10ms_244();
		run_runnable_10ms_245();
		run_runnable_10ms_246();
		run_runnable_10ms_247();
		run_runnable_10ms_248();
		run_runnable_10ms_249();
		run_runnable_10ms_250();
		run_runnable_10ms_251();
		run_runnable_10ms_252();
		run_runnable_10ms_253();
		run_runnable_10ms_254();
		run_runnable_10ms_255();
		run_runnable_10ms_256();
		run_runnable_10ms_257();
		run_runnable_10ms_258();
		run_runnable_10ms_259();
		run_runnable_10ms_260();
		run_runnable_10ms_261();
		run_runnable_10ms_262();
		run_runnable_10ms_263();
		run_runnable_10ms_264();
		run_runnable_10ms_265();
		run_runnable_10ms_266();
		run_runnable_10ms_267();
		run_runnable_10ms_268();
		run_runnable_10ms_269();
		run_runnable_10ms_270();
		run_runnable_10ms_271();
		run_runnable_10ms_272();
		run_runnable_10ms_273();
		run_runnable_10ms_274();
		run_runnable_10ms_275();
		run_runnable_10ms_276();
		run_runnable_10ms_277();
		run_runnable_10ms_278();
		run_runnable_10ms_279();
		run_runnable_10ms_280();
		run_runnable_10ms_281();
		run_runnable_10ms_282();
		run_runnable_10ms_283();
		run_runnable_10ms_284();
		run_runnable_10ms_285();
		run_runnable_10ms_286();
		run_runnable_10ms_287();
		run_runnable_10ms_288();
		run_runnable_10ms_289();
		run_runnable_10ms_290();
		run_runnable_10ms_291();
		run_runnable_10ms_292();
		run_runnable_10ms_293();
		run_runnable_10ms_294();
		run_runnable_10ms_295();
		run_runnable_10ms_296();
		run_runnable_10ms_297();
		run_runnable_10ms_298();
		run_runnable_10ms_299();
		run_runnable_10ms_300();
		run_runnable_10ms_301();
		run_runnable_10ms_302();
		run_runnable_10ms_303();
	}
	
	
};
